#pragma once
#include "MicroBehaviour.h"

class CowardlyDragoonMicroBehaviour : public MicroBehaviour {
public:
	CowardlyDragoonMicroBehaviour( UnitModel* sub , UnitManager* u);
	virtual bool execute();
	virtual void nudge();

private:
	BWAPI::Position targetPosition;
	UnitManager* unitManager;

	bool attacking;
	bool moving;

protected:


};